using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RayDrawer : MonoBehaviour
{
    RaycastHit hit;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        Vector3 origin = transform.position;
        Vector3 direction = transform.forward * 10;
        Debug.DrawRay(origin, direction, Color.blue);

        if (Physics.Raycast(origin, direction, out hit)) {
            Debug.Log(hit);
            hit.collider.gameObject.GetComponent<Renderer>().material.color = Color.red;
            hit.collider.gameObject.transform.position += new Vector3(0, 1, 0);
        }
    }
}
