using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Spinner : MonoBehaviour
{
    public Rigidbody rigidbody;
    public float strength;

    void Start()
    {
        rigidbody = GetComponent<Rigidbody>();
        strength = 10;
    }

    void OnEnable()
    {
        EventManager.OnClicked += Spin;
    }

    void OnDisable()
    {
        EventManager.OnClicked -= Spin;
    }

    void Spin()
    {
        Debug.Log("Rotate!");
        Vector3 axis = new Vector3(10, 20, 30);
        rigidbody.AddTorque(axis * strength, ForceMode.Force);
    }
}
