using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Controller : MonoBehaviour
{
    private Vector3 slideSpeed;
 
    // Start is called before the first frame update
    void Start()
    {
        slideSpeed = new Vector3(0, 0, 0);
    }

    // Update is called once per frame
    void Update()
    {
        transform.position += slideSpeed * Time.deltaTime;
        if (Input.GetKeyDown(KeyCode.D)) {
            slideSpeed = new Vector3(1, 0, 0);
        }
        if (Input.GetKeyDown(KeyCode.A)) {
            slideSpeed = new Vector3(-1, 0, 0);
        }
        if (Input.GetKeyUp(KeyCode.A) || Input.GetKeyUp(KeyCode.D)) {
            slideSpeed = new Vector3(0, 0, 0);
        }
    }
}
